Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class TaggedProfile

    java.lang.Object
      org.omg.IOP.TaggedProfile

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class TaggedProfile

extends Object
implements IDLEntity

org/omg/IOP/TaggedProfile.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, August 11, 2004 5:04:04 AM GMT-08:00

Field Summary
`byte[]` | `profile_data` The associated profile data.
`int` | `tag` The tag, represented as a profile id.

Constructor Summary
`TaggedProfile()`
`TaggedProfile(int _tag, byte[] _profile_data)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public int tag

  The tag, represented as a profile id.

### profile_data

    public byte[] profile_data

  The associated profile data.

Constructor Detail

### TaggedProfile

    public TaggedProfile()

### TaggedProfile

    public TaggedProfile(int _tag,
                         byte[] _profile_data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.